//   RW Sensei
// ==============
// Robowaifu Teaching, Training, and Developmental Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/curator/sensei/sensei.hpp
// -Declarations of the baseline RW Sensei sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::sensei {

//------------------------------------------------------------------------------
class Sensei_b : public RW {
 public:
  Sensei_b();                                    // default ctor
  explicit Sensei_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
class Sensei : public Sensei_b {
 public:
  Sensei();                                    // default ctor
  explicit Sensei(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::curator::sensei

//    --=^=--

// "______"

// rw_curator_lib.v211218
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
