//    RW Board
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/curator/bumpmaster/board.cpp
// -Definitions of the baseline RW Board sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::bumpmaster {

//------------------------------------------------------------------------------
Board_b::Board_b() : Board_b{"board_b_obj"} {}

//------------------------------------------------------------------------------
Board_b::Board_b(std::string const& handle)
    : RW_slave{handle, {Type::Bumpmaster}} {
  stamp("Board_b()");
}

//------------------------------------------------------------------------------
Board::Board() : Board{"board_obj"} {}

//------------------------------------------------------------------------------
Board::Board(std::string const& handle) : Board_b{handle} {
  stamp("Board()");
}

}  // namespace rw::curator::bumpmaster

//    --=^=--

// "______"

// rw_curator_lib.v211218
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
