//  RW Graphicom
// ==============
// Graphics & GUI Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/graphicom/graphicom.cpp
// -Definitions of the baseline RW Graphicom library

#include "incls_all.hpp"

namespace rw::graphicom {

//------------------------------------------------------------------------------
Graphicom_b::Graphicom_b() : Graphicom_b{"graphicom_b_obj"} {}

//------------------------------------------------------------------------------
Graphicom_b::Graphicom_b(std::string const& handle)
    : RW{handle, Type::Graphicom} {
  stamp("Graphicom_b()");
}

//------------------------------------------------------------------------------
Graphicom::Graphicom() : Graphicom{"graphicom_obj"} {}

//------------------------------------------------------------------------------
Graphicom::Graphicom(std::string const& handle) : Graphicom_b{handle} {
  stamp("Graphicom()");
}

}  // namespace rw::graphicom

//    --=^=--

// "______"

// rw_graphicom_lib.v211218
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
